Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# ReferenceSquare Class Reference

`#include <Polygon.h>`

Inheritance diagram for ReferenceSquare:

List of all members.

## Public Member Functions
| ReferenceSquare (string subscript="")
virtual | ~ReferenceSquare ()
virtual int | no_vertices ()
virtual GiNaC::ex | vertex (int i)
virtual Line | line (int i)
virtual GiNaC::ex | repr (Repr_format format=SUBS_PERFORMED)
virtual string | str ()
virtual GiNaC::ex | integrate (GiNaC::ex f)

## Detailed Description

Definition at line 129 of file Polygon.h.

## Constructor & Destructor Documentation

ReferenceSquare::ReferenceSquare | ( | string | subscript = `""` | ) |

| Definition at line 663 of file Polygon.cpp. References Polygon::p, and Polygon::subscript.
    00663                                                    {
    00664   subscript = subscript_;
    00665   GiNaC::ex x0 = GiNaC::lst(0,0,0);
    00666   GiNaC::ex x1 = GiNaC::lst(1,0,0);
    00667   GiNaC::ex x2 = GiNaC::lst(1,1,0);
    00668   GiNaC::ex x3 = GiNaC::lst(0,1,0);
    00669   p.insert(p.end(), x0);
    00670   p.insert(p.end(), x1);
    00671   p.insert(p.end(), x2);
    00672   p.insert(p.end(), x3);
    00673 }

virtual ReferenceSquare::~ReferenceSquare | ( |  | ) | `[inline, virtual]`

| Definition at line 132 of file Polygon.h.
    00132 {}

## Member Function Documentation

GiNaC::ex ReferenceSquare::integrate | ( | GiNaC::ex | f | ) | `[virtual]`

| Reimplemented from Square. Definition at line 693 of file Polygon.cpp. References Square::integrate(). Referenced by main().
    00693                                                 {
    00694   return Square::integrate(func);
    00695 }

Line ReferenceSquare::line | ( | int | i | ) | `[virtual]`

| Reimplemented from Square. Definition at line 681 of file Polygon.cpp. References Square::line().
    00681                                  {
    00682   return Square::line(i);
    00683 }

int ReferenceSquare::no_vertices | ( |  | ) | `[virtual]`

| Reimplemented from Square. Definition at line 675 of file Polygon.cpp.
    00675 { return 4; }

GiNaC::ex ReferenceSquare::repr | ( | Repr_format | format = `SUBS_PERFORMED` | ) | `[virtual]`

| Reimplemented from Square. Definition at line 685 of file Polygon.cpp. References Square::repr(). Referenced by main().
    00685                                                  {
    00686   return Square::repr(format);
    00687 }

string ReferenceSquare::str | ( |  | ) | `[virtual]`

| Reimplemented from Square. Definition at line 689 of file Polygon.cpp.
    00689                               {
    00690   return "ReferenceSquare";
    00691 }

GiNaC::ex ReferenceSquare::vertex | ( | int | i | ) | `[virtual]`

| Reimplemented from Square. Definition at line 677 of file Polygon.cpp. References Polygon::p.
    00677                                        {
    00678   return p[i];
    00679 }

The documentation for this class was generated from the following files:

- Polygon.h
- Polygon.cpp